Echo Off
REM ******************************************************
REM * File   : Install.bat
REM * Author : Stephen Williams
REM * Date   : Sept. 3, 1992
REM * Revised:
REM * Purpose: Installation - OASIS 1.0
REM ******************************************************
if "%1" == ""    goto help
if "%1" == "?"   goto help
if "%1" == "A:"  goto help
if "%1" == "a:"  goto help
if "%1" == "B:"  goto help
if "%1" == "b:"  goto help
if "%1" == "A"   goto FLOP
if "%1" == "a"   goto FLOP
if "%1" == "B"   goto FLOP
if "%1" == "b"   goto FLOP

for %%f in (C:,c:,D:,d:,E:,e:,F:,f:,G:,g:,H:,h:,I:,i:) do if %1.==%%f. goto Help
for %%f in (J:,j:,K:,k:,L:,l:,M:,m:,N:,n:,O:,o:,P:,p:) do if %1.==%%f. goto Help
for %%f in (Q:,q:,R:,r:,S:,s:,T:,t:,U:,u:,V:,v:,W:,w:) do if %1.==%%f. goto Help
for %%f in (X:,x:,Y:,y:,Z:,z:)                         do if %1.==%%f. goto Help

REM **************************
REM HARD DISK INSTALLATION
REM **************************
if not exist %1:\nul goto help
CLS
Echo ***        OASIS 1.0 Installation           ***
Echo *                                             *
Echo * Installing Program & Data Files on %1:\OASIS *
Echo *                                             *
Echo \/                                           \/
OASIS10 %1:\OASIS
COPY README.1ST %1:\OASIS\README.1ST
%1:
CD \OASIS
Echo *** OASIS Successfully Installed on %1:\OASIS
Echo ***
Echo *** To run program type "OASIS"
goto End

REM ************************************
REM FLOPPY DISK INSTALLATION
REM ************************************
:FLOP
REM OASIS Must be Installed on a Hard Disk.
REM
REM *****************************
REM Help For OASIS INSTALLATION
REM *****************************
:Help
Cls
Echo +----------------------------------------------------------------+
Echo !  OWL Automated Sales & Invoicing System (OASIS) Version 1.0    !
Echo !                                                                !
Echo !                    Installation Help                           !
Echo !                                                                !
Echo !        OASIS must be installed on a HARD DISK drive            !
Echo !                                                                !
Echo ! The install program decompresses archive files and copies them !
Echo ! to subdirectory \OASIS on the designated hard disk drive.  If  !
Echo ! \OASIS does not exist on the designated hard disk, it will be  !
Echo ! created for you.                                               !
Echo !                                                                !
Echo ! Syntax for the command is:  INSTALL d                          !
Echo !        where "d" is the hard disk drive letter where you want  !
Echo !        the program installed.                                  !
Echo !                                                                !
Echo ! Examples:  INSTALL C   (Note no colon is typed)                !
Echo !            INSTALL D                                           !
Echo !            etc.                                                !
Echo +----------------------------------------------------------------+
Echo *************    Program not installed.     **********************
goto bad_end
REM ************************
REM End Of OASIS Installation
REM ************************
:end
Echo =-=-=-=-=-=-=-=-=-=- INSTALLATION COMPLETE -=-=-=-=-=-=-=-=-=-=-=-=
:bad_end